Add Product
curl --request POST \
--url https://api.example.com/api/v1/brands/{brand_id}/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"product_kind": "other",
"canonical_url": "<string>",
"description": "<string>",
"categories": [
"<string>"
],
"price_display": "<string>",
"billing_period": "<string>",
"cta_label": "<string>",
"cta_url": "<string>",
"platforms": [
"<string>"
],
"unique_selling_points": [
"<string>"
],
"customer_awareness_levels": [],
"market_sophistication_levels": [],
"related_scenarios": [
"<string>"
],
"related_personas": [
"<string>"
],
"images": [
{
"source_url": "<string>",
"alt_text": "<string>",
"position": 0
}
]
}
'import requests
url = "https://api.example.com/api/v1/brands/{brand_id}/products"
payload = {
"name": "<string>",
"product_kind": "other",
"canonical_url": "<string>",
"description": "<string>",
"categories": ["<string>"],
"price_display": "<string>",
"billing_period": "<string>",
"cta_label": "<string>",
"cta_url": "<string>",
"platforms": ["<string>"],
"unique_selling_points": ["<string>"],
"customer_awareness_levels": [],
"market_sophistication_levels": [],
"related_scenarios": ["<string>"],
"related_personas": ["<string>"],
"images": [
{
"source_url": "<string>",
"alt_text": "<string>",
"position": 0
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
product_kind: 'other',
canonical_url: '<string>',
description: '<string>',
categories: ['<string>'],
price_display: '<string>',
billing_period: '<string>',
cta_label: '<string>',
cta_url: '<string>',
platforms: ['<string>'],
unique_selling_points: ['<string>'],
customer_awareness_levels: [],
market_sophistication_levels: [],
related_scenarios: ['<string>'],
related_personas: ['<string>'],
images: [{source_url: '<string>', alt_text: '<string>', position: 0}]
})
};
fetch('https://api.example.com/api/v1/brands/{brand_id}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "scraped",
"product_kind": "physical",
"name": "<string>",
"priority_score": 123,
"catalog_status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"canonical_url": "<string>",
"external_id": "<string>",
"description": "<string>",
"categories": [
"<string>"
],
"price_amount": "<string>",
"price_max_amount": "<string>",
"currency": "<string>",
"price_display": "<string>",
"billing_period": "<string>",
"cta_label": "<string>",
"cta_url": "<string>",
"platforms": [
"<string>"
],
"unique_selling_points": [
"<string>"
],
"customer_awareness_levels": [
"L1"
],
"market_sophistication_levels": [
"L1"
],
"market_sophistication_level": "L1",
"related_scenarios": [
"<string>"
],
"related_personas": [
"<string>"
],
"priority_reasons": [
"<string>"
],
"badges": [
"<string>"
],
"images": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"position": 123,
"origin": "<string>",
"is_active": true,
"source_url": "<string>",
"alt_text": "<string>",
"width": 123,
"height": 123,
"mime_type": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Brands
Add Product
POST
/
api
/
v1
/
brands
/
{brand_id}
/
products
Add Product
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required string length:
1 - 300Available options:
physical, digital, service, subscription, mobile_app, marketplace, other Maximum string length:
2000Maximum string length:
4000Maximum array length:
20Maximum string length:
120Maximum string length:
50Maximum string length:
100Maximum string length:
2000Maximum array length:
20Maximum array length:
12Maximum array length:
5Available options:
L1, L2, L3, L4, L5 Maximum array length:
5Available options:
L1, L2, L3, L4, L5 Maximum array length:
20Maximum array length:
20Maximum array length:
12Show child attributes
Show child attributes
Response
Successful Response
Available options:
scraped, manual Available options:
physical, digital, service, subscription, mobile_app, marketplace, other Available options:
active, inactive, archived Available options:
L1, L2, L3, L4, L5 Available options:
L1, L2, L3, L4, L5 Available options:
L1, L2, L3, L4, L5 Show child attributes
Show child attributes
Was this page helpful?
⌘I